﻿#language: ru

Функционал: Отчеты по упаковке сыра для технолога

Сценарий: Отчеты по упаковке сыра для технолога
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Контроль времени этапов производства"
	Тогда открылось окно 'Контроль времени этапов производства'
	И я снимаю флаг 'Период:'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Контроль времени этапов производства"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Номенклатура'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Контроль времени этапов производства"'
	И в таблице "Отборы" я активизирую поле "Условие"
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'    | 'Использование' | 'Поле'         | 'Условие' |
		| 'Номенклатура' | 'Да'            | 'Номенклатура' | 'Равно'   |
	И в таблице "Отборы" у поля с именем "ОтборыПравоеЗначение" я жду значения отличного от "Неопределено" в течение 10 секунд
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита "Условие"
	И в таблице "Отборы" я активизирую поле с именем "ОтборыПравоеЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я активизирую поле "Условие"
	И в таблице "Отборы" из выпадающего списка "Условие" я выбираю точное значение 'В списке'
	И в таблице "Отборы" я активизирую поле с именем "ОтборыПравоеЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Мраморный 50%' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Пошехонский 45%' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Сливочный 45%' |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Настройки отчета "Контроль времени этапов производства"'
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок' |
		| 'Серия'     |
	И в таблице "ДоступныеПоля" я разворачиваю текущую строку
	# Строка не сразу разворачивается, видимо подгружаются реквизиты
	И Пауза 1
	И в таблице "ДоступныеПоля" я разворачиваю текущую строку
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'    |
		| 'Дата выпуска' |
	И в таблице "ДоступныеПоля" я выбираю текущую строку
	Тогда открылось окно 'Настройки отчета "Контроль времени этапов производства"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'          | 'Использование' | 'Поле'               | 'Условие' |
		| 'Серия.Дата выпуска' | 'Да'            | 'Серия.Дата выпуска' | 'Равно'   |
	И в таблице "Отборы" у поля с именем "ОтборыПравоеЗначение" я жду значения отличного от "Неопределено" в течение 10 секунд
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита "Условие"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я активизирую поле "Условие"
	И в таблице "Отборы" из выпадающего списка "Условие" я выбираю точное значение 'В списке'
	И в таблице "Отборы" я активизирую поле с именем "ОтборыПравоеЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Серия.Дата выпуска'
	И я нажимаю на кнопку с именем 'СписокДобавить'
	И в таблице "Список" в поле 'Значение' я ввожу текст '01.11.2018'
	И в таблице "Список" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'СписокДобавить'
	И в таблице "Список" в поле 'Значение' я ввожу текст '12.03.2019'
	И в таблице "Список" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Настройки отчета "Контроль времени этапов производства"'
	И в таблице "Отборы" я завершаю редактирование строки
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Контроль времени этапов производства'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Отбор:'         | 'Номенклатура В списке "Мраморный 50%; Пошехонский 45%; Российский 50%; Сливочный 45%" И\nСерия.Дата выпуска В списке "01.11.2018; 12.03.2019"' | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| ''               | ''                                                                                                                                              | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| 'Номенклатура'   | ''                                                                                                                                              | 'Маркировка'     | ''               | ''              | ''                 | ''           | 'Сырцех'         | ''               | ''              | ''                 | ''           | 'Упаковка'       | ''               | ''              | ''                 | ''           |
		| 'Характеристика' | 'Количество выпуск'                                                                                                                             | 'Дата входа'     | 'Дата выхода'    | 'Норма времени' | 'Время нахождения' | 'Отклонение' | 'Дата входа'     | 'Дата выхода'    | 'Норма времени' | 'Время нахождения' | 'Отклонение' | 'Дата входа'     | 'Дата выхода'    | 'Норма времени' | 'Время нахождения' | 'Отклонение' |
		| 'Серия'          | ''                                                                                                                                              | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| 'Российский 50%' | '1 871,900'                                                                                                                                     | ''               | ''               | '726'           | ''                 | '-726,00'    | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | '36'            | '*'                | '*'          |
		| 'Брак'           | '5,000'                                                                                                                                         | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| '12.03.2019/1'   | '5,000'                                                                                                                                         | ''               | ''               | ''              | ''                 | ''           | '*'              | '*'              | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| 'Варка'          | '952,100'                                                                                                                                       | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | '36'            | '*'                | '*'          |
		| '12.03.2019/1'   | '952,100'                                                                                                                                       | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           | '*'              | '*'              | '36'            | '*'                | '*'          |
		| 'На созревании'  | '914,800'                                                                                                                                       | ''               | ''               | '726'           | ''                 | '-726,00'    | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
		| '12.03.2019/1'   | '914,800'                                                                                                                                       | '*'              | '*'              | '726'           | ''                 | '-726,00'    | ''               | ''               | ''              | ''                 | ''           | ''               | ''               | ''              | ''                 | ''           |
	И я закрываю окно 'Контроль времени этапов производства'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 10_milk_scenario.04.007 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT